Request

Endpoint: !ProvideEVDetails

https://secure.trust-provider.com/products/!ProvideEVDetails

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table lists the required, optional, and conditional parameters.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

The username of any user in the account that applied for the order referenced by orderNumber or foreignOrderNumber.

This value is case sensitive.

loginPassword

required

string

128 chars

The account password.

This value is case sensitive.

orderNumber

conditional

string

128 chars

The Sectigo-defined order number for which the EV details are being provided.

Not required if foreignOrderNumber is specified.

foreignOrderNumber

optional

string

64 chars

The order number defined by the applicant and shared with Sectigo in advance.

incorporatingAgency

required

string

256 chars

The name of the applicant’s incorporating agency.

mainTelephoneNumber

required

string

32 chars

The main telephone number for the applicant’s place of business.

certReqTitle

required

string

64 chars

The certificate requester’s title or position.

certReqForename

required

string

64 chars

The certificate requester’s first name.

certReqSurname

required

string

64 chars

The certificate requester’s surname.

certReqTelephoneNumber

required

string

32 chars

The certificate requester’s direct telephone number.

certReqEmailAddress

required

string

255 chars

The certificate requester’s email address.

certReqPostOfficeBox

optional

string

40 chars

The certificate requester’s post office box.

certReqStreetAddress1

required

string

128 chars

The certificate requester’s street address.

certReqStreetAddress2

optional

string

128 chars

The second line of the certificate requester’s street address (if necessary).

certReqStreetAddress3

optional

string

128 chars

The third line of the certificate requester’s street address (if necessary).

certReqLocalityName

required

string

128 chars

The certificate requester’s city or town.

certReqStateOrProvinceName

required

string

128 chars

The certificate requester’s state or province.

certReqPostalCode

required

string

40 chars

The certificate requester’s postal code.

certReqCountryName

required

string

2 chars

The certificate requester’s country.

The country name must be specified as a 2-character ISO 3166 code. See the list of ISO 3166 Country Codes.

certReqRelationship

required

string

256 chars

The certificate requester’s relationship to the applicant organization.

certAppTitle

required

string

64 chars

The certificate approver’s title or position.

certAppForename

required

string

64 chars

The certificate approver’s first name.

certAppSurname

required

string

64 chars

The certificate approver’s surname.

certAppTelephoneNumber

required

string

32 chars

The certificate approver’s direct telephone number.

certAppEmailAddress

required

string

255 chars

The certificate approver’s email address.

certAppPostOfficeBox

optional

string

40 chars

The certificate approver’s post office box.

certAppStreetAddress1

required

string

128 chars

The certificate approver’s street address.

certAppStreetAddress2

optional

string

128 chars

The second line of the certificate approver’s street address (if necessary).

certAppStreetAddress3

optional

string

128 chars

The third line of the certificate approver’s street address (if necessary).

certAppLocalityName

required

string

128 chars

The certificate approver’s city or town.

certAppStateOrProvinceName

required

string

128 chars

The certificate approver’s state or province.

certAppPostalCode

required

string

40 chars

The certificate approver’s postal code.

certAppCountryName

required

string

2 chars

The certificate approver’s country.

The country name must be specified as a two-character ISO 3166 code. See the list of ISO 3166 Country Codes.

certAppRelationship

required

string

256 chars

The certificate approver’s relationship to the applicant organization.

contSigTitle

required

string

64 chars

The contract signer’s title or position.

contSigForename

required

string

64 chars

The contract signer’s first name.

contSigSurname

required

string

64 chars

The contract signer’s surname.

contSigTelephoneNumber

required

string

32 chars

The contract signer’s direct telephone number.

contSigEmailAddress

required

string

255 chars

The contract signer’s email address.

contSigPostOfficeBox

optional

string

40 chars

The contract signer’s post office box.

contSigStreetAddress1

required

string

128 chars

The contract signer’s street address.

contSigStreetAddress2

optional

string

128 chars

The second line of the certificate approver’s street address (if necessary).

contSigStreetAddress3

optional

string

128 chars

The third line of the certificate approver’s street address (if necessary).

contSigLocalityName

required

string

128 chars

The contract signer’s city or town.

contSigStateOrProvinceName

required

string

128 chars

The contract signer’s state or province.

contSigPostalCode

required

string

40 chars

The contract signer’s postal code.

contSigCountryName

required

string

2 chars

The contract signer’s country.

The country name must be specified as a two-character ISO 3166 code. See the list of ISO 3166 Country Codes.

contSigRelationship

required

string

256 chars

The contract signer’s relationship to the applicant organization.

hasCustomerAgreedToTheTsAndCs

optional

char

Showing whether the customer has agreed to the terms and conditions.

The possible values are:

  • Y — The customer has been shown and has agreed to the terms of the click-through EV agreement.

  • N — The customer has not agreed to the click-through EV agreement.

If N is selected, the customer must contact Sectigo support team to fill out, sign and send hard copies of the EV Agreement.

contactEmailAddress

optional

string

255 chars

The email address that Sectigo validation staff should use to contact the customer.

If this email address is specified, it will be the only email address that Sectigo validation staff will correspond with during the processing of this order.

Sample request

curl --location 'https://secure.trust-provider.com/products/!ProvideEVDetails' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'incorporatingAgency=incorporating_agency' \
--data-urlencode 'mainTelephoneNumber=main_telephone_number' \
--data-urlencode 'contSigTitle=cont_sig_title' \
--data-urlencode 'contSigForename=cont_sig_forename' \
--data-urlencode 'contSigSurname=cont_sig_surname' \
--data-urlencode 'contSigTelephoneNumber=sig_telephone_number' \
--data-urlencode 'contSigEmailAddress=sig_email_address' \
--data-urlencode 'contSigRelationship=sig_relationship' \
--data-urlencode 'certAppTitle=app_title' \
--data-urlencode 'certAppForename=app_forename' \
--data-urlencode 'certAppSurname=app_surname' \
--data-urlencode 'certAppTelephoneNumber=app_telephone_number' \
--data-urlencode 'certAppEmailAddress=app_email_address' \
--data-urlencode 'certAppPostOfficeBox=app_post_office_box' \
--data-urlencode 'certAppStreetAddress1=cert_app_street_address_1' \
--data-urlencode 'certAppLocalityName=cert_app_locality_name' \
--data-urlencode 'certAppStateOrProvinceName=cert_app_state_or_province_name' \
--data-urlencode 'certAppPostalCode=app_postal_code' \
--data-urlencode 'certAppCountryName=app_country_name' \
--data-urlencode 'certAppRelationship=cert_app_relationship' \
--data-urlencode 'certReqForename=cert_req_forename' \
--data-urlencode 'certReqCountryName=req_country_name' \
--data-urlencode 'certReqStateOrProvinceName=req_state_name'

Response

The request is successful when the server returns a response with the error code 0.

Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.

The response is formatted in x-www-form-urlencoded format.

Response parameters

The response may contain the following parameters:

Parameter Description

errorCode

A numeric code that identifies the type of the error.

For more information, see Error codes.

errorMessage

A description of the error.

Sample success response

errorCode=0

Sample error response

errorCode=-16&errorMessage=Incorrect+login+details%2C+account+is+locked%2C+password+has+expired+or+your+source+IP+is+blocked.

Error codes

The following table outlines error responses returned by the ProvideEVDetails API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over https!

The request must use HTTPS protocol.

-2

'xxxx' is an unrecognized argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

The required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-7

'xx' is not a valid ISO-3166 country!

The provided value is not a valid ISO-3166 country code.

-14

An unknown error occurred!

An unknown error occurred.

-16

Incorrect login details, account is locked, password has expired or your source IP is blocked.

The request has failed due to authentication issues.

-17

Request used GET rather than POST!

The request method should be POST.

-90

Permission denied for using 'voucher' with 'xxxx'

The request has failed due to insufficient permissions.